---
title: Get HTTP requests time series
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Radar](https://developers.cloudflare.com/api/go/resources/radar)

[HTTP](https://developers.cloudflare.com/api/go/resources/radar/subresources/http)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get HTTP requests time series

client.Radar.HTTP.Timeseries(ctx, query) (\*[HTTPTimeseriesResponse](<https://developers.cloudflare.com/api/go/resources/radar#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)>), error)

GET/radar/http/timeseries

Retrieves the HTTP requests over time.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`User Details Write``User Details Read`

##### ParametersExpand Collapse

<details>

<summary>

query HTTPTimeseriesParams

</summary>

<details>

<summary>

AggInterval param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/http/methods/timeseries#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20aggInterval%20%3E%20(schema)">HTTPTimeseriesParamsAggInterval</a>]Optional

Aggregation interval of the results (e.g., in 15 minutes or 1 hour intervals). Refer to <a href="https://developers.cloudflare.com/radar/concepts/aggregation-intervals/">Aggregation intervals</a>. When omitted, the interval is auto-selected from the requested date range; finer intervals are only available for shorter ranges. If the requested interval is too granular for the date range, the request is rejected.

</summary>

const HTTPTimeseriesParamsAggInterval15m <a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/http/methods/timeseries#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20aggInterval%20%3E%20(schema)">HTTPTimeseriesParamsAggInterval</a> = "15m"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20aggInterval%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

const HTTPTimeseriesParamsAggInterval1h <a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/http/methods/timeseries#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20aggInterval%20%3E%20(schema)">HTTPTimeseriesParamsAggInterval</a> = "1h"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20aggInterval%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

const HTTPTimeseriesParamsAggInterval1d <a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/http/methods/timeseries#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20aggInterval%20%3E%20(schema)">HTTPTimeseriesParamsAggInterval</a> = "1d"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20aggInterval%20%3E%20(schema)%20%3E%20(member)%202">Link to this property</a>

const HTTPTimeseriesParamsAggInterval1w <a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/http/methods/timeseries#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20aggInterval%20%3E%20(schema)">HTTPTimeseriesParamsAggInterval</a> = "1w"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20aggInterval%20%3E%20(schema)%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20aggInterval">Link to this property</a>

<details>

<summary>

APITraffic param.Field\[\[]HTTPTimeseriesParamsAPITraffic]Optional

Filters results by API traffic classification. API traffic is identified by JSON or XML response content types on dynamic (non-cacheable) HTTP requests. Incompatible with the <code>browserFamily</code>, <code>deviceType</code>, <code>httpProtocol</code>, <code>httpVersion</code>, <code>ipVersion</code>, <code>os</code>, and <code>tlsVersion</code> filters/dimensions. When set, results can only be further filtered by location, continent, or Autonomous System.

</summary>

const HTTPTimeseriesParamsAPITrafficAPI HTTPTimeseriesParamsAPITraffic = "API"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20apiTraffic%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%200">Link to this property</a>

const HTTPTimeseriesParamsAPITrafficNonAPI HTTPTimeseriesParamsAPITraffic = "NON\_API"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20apiTraffic%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20apiTraffic">Link to this property</a>

ASN param.Field\[\[]string]Optional

Filters results by Autonomous System. Specify one or more Autonomous System Numbers (ASNs) as a comma-separated list. Prefix with <code>-</code> to exclude ASNs from results. For example, <code>-174, 3356</code> excludes results from AS174, but includes results from AS3356.

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20asn">Link to this property</a>

<details>

<summary>

BotClass param.Field\[\[]HTTPTimeseriesParamsBotClass]Optional

Filters results by bot class. Refer to <a href="https://developers.cloudflare.com/radar/concepts/bot-classes/">Bot classes</a>.

</summary>

const HTTPTimeseriesParamsBotClassLikelyAutomated HTTPTimeseriesParamsBotClass = "LIKELY\_AUTOMATED"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20botClass%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%200">Link to this property</a>

const HTTPTimeseriesParamsBotClassLikelyHuman HTTPTimeseriesParamsBotClass = "LIKELY\_HUMAN"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20botClass%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20botClass">Link to this property</a>

<details>

<summary>

BrowserFamily param.Field\[\[]HTTPTimeseriesParamsBrowserFamily]Optional

Filters results by browser family.

</summary>

const HTTPTimeseriesParamsBrowserFamilyChrome HTTPTimeseriesParamsBrowserFamily = "CHROME"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20browserFamily%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%200">Link to this property</a>

const HTTPTimeseriesParamsBrowserFamilyEdge HTTPTimeseriesParamsBrowserFamily = "EDGE"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20browserFamily%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%201">Link to this property</a>

const HTTPTimeseriesParamsBrowserFamilyFirefox HTTPTimeseriesParamsBrowserFamily = "FIREFOX"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20browserFamily%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%202">Link to this property</a>

const HTTPTimeseriesParamsBrowserFamilySafari HTTPTimeseriesParamsBrowserFamily = "SAFARI"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20browserFamily%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20browserFamily">Link to this property</a>

<details>

<summary>

ContentType param.Field\[\[]HTTPTimeseriesParamsContentType]Optional

Filters results by content type category. When set, results can only be further filtered by location, continent, or Autonomous System.

</summary>

const HTTPTimeseriesParamsContentTypeHTML HTTPTimeseriesParamsContentType = "HTML"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20contentType%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%200">Link to this property</a>

const HTTPTimeseriesParamsContentTypeImages HTTPTimeseriesParamsContentType = "IMAGES"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20contentType%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%201">Link to this property</a>

const HTTPTimeseriesParamsContentTypeJson HTTPTimeseriesParamsContentType = "JSON"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20contentType%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%202">Link to this property</a>

const HTTPTimeseriesParamsContentTypeJavascript HTTPTimeseriesParamsContentType = "JAVASCRIPT"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20contentType%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%203">Link to this property</a>

const HTTPTimeseriesParamsContentTypeCSS HTTPTimeseriesParamsContentType = "CSS"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20contentType%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%204">Link to this property</a>

const HTTPTimeseriesParamsContentTypePlainText HTTPTimeseriesParamsContentType = "PLAIN\_TEXT"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20contentType%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%205">Link to this property</a>

const HTTPTimeseriesParamsContentTypeFonts HTTPTimeseriesParamsContentType = "FONTS"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20contentType%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%206">Link to this property</a>

const HTTPTimeseriesParamsContentTypeXml HTTPTimeseriesParamsContentType = "XML"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20contentType%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%207">Link to this property</a>

const HTTPTimeseriesParamsContentTypeYaml HTTPTimeseriesParamsContentType = "YAML"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20contentType%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%208">Link to this property</a>

const HTTPTimeseriesParamsContentTypeVideo HTTPTimeseriesParamsContentType = "VIDEO"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20contentType%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%209">Link to this property</a>

const HTTPTimeseriesParamsContentTypeAudio HTTPTimeseriesParamsContentType = "AUDIO"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20contentType%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2010">Link to this property</a>

const HTTPTimeseriesParamsContentTypeMarkdown HTTPTimeseriesParamsContentType = "MARKDOWN"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20contentType%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2011">Link to this property</a>

const HTTPTimeseriesParamsContentTypeDocuments HTTPTimeseriesParamsContentType = "DOCUMENTS"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20contentType%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2012">Link to this property</a>

const HTTPTimeseriesParamsContentTypeBinary HTTPTimeseriesParamsContentType = "BINARY"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20contentType%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2013">Link to this property</a>

const HTTPTimeseriesParamsContentTypeSerialization HTTPTimeseriesParamsContentType = "SERIALIZATION"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20contentType%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2014">Link to this property</a>

const HTTPTimeseriesParamsContentTypeOther HTTPTimeseriesParamsContentType = "OTHER"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20contentType%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%2015">Link to this property</a>

</details>

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20contentType">Link to this property</a>

Continent param.Field\[\[]string]Optional

Filters results by continent. Specify a comma-separated list of alpha-2 codes. Prefix with <code>-</code> to exclude continents from results. For example, <code>-EU,NA</code> excludes results from EU, but includes results from NA.

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20continent">Link to this property</a>

DateEnd param.Field\[\[]Time]Optional

End of the date range (inclusive). Alternative to <code>dateRange</code>; provide together with <code>dateStart</code>. When requesting comparison series, every series must resolve to the same duration as the main series. Each <code>dateStart</code>/<code>dateEnd</code> is floored to the nearest 15 minutes before evaluation, so windows whose durations match only before alignment may be rejected.

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20dateEnd">Link to this property</a>

DateRange param.Field\[\[]string]Optional

Filters results by relative date range ending at the current time, with each value producing a separate series. Use <code>&lt;n&gt;d</code> for days (up to <code>364d</code>) or <code>&lt;n&gt;w</code> for weeks (up to <code>52w</code>). Append <code>control</code> to request the equivalent previous period for comparison: the comparison window is shifted back by the current window’s length rounded up to a whole number of weeks, so it keeps the same weekday alignment and does not overlap the current window (e.g. <code>7dcontrol</code> covers days -14 to -7, <code>10dcontrol</code> covers days -24 to -14). For example, pass <code>7d</code> and <code>7dcontrol</code> to compare this week with the previous week. All series must resolve to the same duration as the main series; relative ranges (including <code>control</code>) satisfy this automatically. Use this parameter or set specific start and end dates (<code>dateStart</code> and <code>dateEnd</code> parameters).

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20dateRange">Link to this property</a>

DateStart param.Field\[\[]Time]Optional

Start of the date range. Alternative to <code>dateRange</code>; provide together with <code>dateEnd</code>. When requesting comparison series, every series must resolve to the same duration as the main series. Each <code>dateStart</code>/<code>dateEnd</code> is floored to the nearest 15 minutes before evaluation, so windows whose durations match only before alignment may be rejected.

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20dateStart">Link to this property</a>

<details>

<summary>

DeviceType param.Field\[\[]HTTPTimeseriesParamsDeviceType]Optional

Filters results by device type.

</summary>

const HTTPTimeseriesParamsDeviceTypeDesktop HTTPTimeseriesParamsDeviceType = "DESKTOP"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20deviceType%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%200">Link to this property</a>

const HTTPTimeseriesParamsDeviceTypeMobile HTTPTimeseriesParamsDeviceType = "MOBILE"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20deviceType%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%201">Link to this property</a>

const HTTPTimeseriesParamsDeviceTypeOther HTTPTimeseriesParamsDeviceType = "OTHER"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20deviceType%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20deviceType">Link to this property</a>

<details>

<summary>

Format param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/http/methods/timeseries#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20format%20%3E%20(schema)">HTTPTimeseriesParamsFormat</a>]Optional

Format in which results will be returned.

</summary>

const HTTPTimeseriesParamsFormatJson <a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/http/methods/timeseries#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20format%20%3E%20(schema)">HTTPTimeseriesParamsFormat</a> = "JSON"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20format%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

const HTTPTimeseriesParamsFormatCsv <a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/http/methods/timeseries#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20format%20%3E%20(schema)">HTTPTimeseriesParamsFormat</a> = "CSV"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20format%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20format">Link to this property</a>

GeoID param.Field\[\[]string]Optional

Filters results by Geolocation. Specify a comma-separated list of GeoNames IDs. Prefix with <code>-</code> to exclude geoIds from results. For example, <code>-2267056,360689</code> excludes results from the 2267056 (Lisbon), but includes results from 5128638 (New York).

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20geoId">Link to this property</a>

<details>

<summary>

HTTPProtocol param.Field\[\[]HTTPTimeseriesParamsHTTPProtocol]Optional

Filters results by HTTP protocol (HTTP vs. HTTPS).

</summary>

const HTTPTimeseriesParamsHTTPProtocolHTTP HTTPTimeseriesParamsHTTPProtocol = "HTTP"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20httpProtocol%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%200">Link to this property</a>

const HTTPTimeseriesParamsHTTPProtocolHTTPS HTTPTimeseriesParamsHTTPProtocol = "HTTPS"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20httpProtocol%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20httpProtocol">Link to this property</a>

<details>

<summary>

HTTPVersion param.Field\[\[]HTTPTimeseriesParamsHTTPVersion]Optional

Filters results by HTTP version.

</summary>

const HTTPTimeseriesParamsHTTPVersionHttPv1 HTTPTimeseriesParamsHTTPVersion = "HTTPv1"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20httpVersion%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%200">Link to this property</a>

const HTTPTimeseriesParamsHTTPVersionHttPv2 HTTPTimeseriesParamsHTTPVersion = "HTTPv2"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20httpVersion%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%201">Link to this property</a>

const HTTPTimeseriesParamsHTTPVersionHttPv3 HTTPTimeseriesParamsHTTPVersion = "HTTPv3"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20httpVersion%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20httpVersion">Link to this property</a>

<details>

<summary>

IPVersion param.Field\[\[]HTTPTimeseriesParamsIPVersion]Optional

Filters results by IP version (Ipv4 vs. IPv6).

</summary>

const HTTPTimeseriesParamsIPVersionIPv4 HTTPTimeseriesParamsIPVersion = "IPv4"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20ipVersion%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%200">Link to this property</a>

const HTTPTimeseriesParamsIPVersionIPv6 HTTPTimeseriesParamsIPVersion = "IPv6"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20ipVersion%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20ipVersion">Link to this property</a>

Location param.Field\[\[]string]Optional

Filters results by location. Specify a comma-separated list of alpha-2 codes. Prefix with <code>-</code> to exclude locations from results. For example, <code>-US,PT</code> excludes results from the US, but includes results from PT.

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20location">Link to this property</a>

Name param.Field\[\[]string]Optional

Array of names used to label the series in the response.

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20name">Link to this property</a>

<details>

<summary>

Normalization param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/http/methods/timeseries#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20normalization%20%3E%20(schema)">HTTPTimeseriesParamsNormalization</a>]Optional

Normalization method applied to the results. Refer to <a href="https://developers.cloudflare.com/radar/concepts/normalization/">Normalization methods</a>. <code>PERCENTAGE_CHANGE</code> requires exactly one comparison series (e.g. a <code>control</code> date range).

</summary>

const HTTPTimeseriesParamsNormalizationPercentageChange <a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/http/methods/timeseries#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20normalization%20%3E%20(schema)">HTTPTimeseriesParamsNormalization</a> = "PERCENTAGE\_CHANGE"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20normalization%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

const HTTPTimeseriesParamsNormalizationMin0Max <a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/http/methods/timeseries#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20normalization%20%3E%20(schema)">HTTPTimeseriesParamsNormalization</a> = "MIN0\_MAX"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20normalization%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20normalization">Link to this property</a>

<details>

<summary>

OS param.Field\[\[]HTTPTimeseriesParamsOS]Optional

Filters results by operating system.

</summary>

const HTTPTimeseriesParamsOSWindows HTTPTimeseriesParamsOS = "WINDOWS"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20os%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%200">Link to this property</a>

const HTTPTimeseriesParamsOSMacosx HTTPTimeseriesParamsOS = "MACOSX"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20os%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%201">Link to this property</a>

const HTTPTimeseriesParamsOSIos HTTPTimeseriesParamsOS = "IOS"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20os%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%202">Link to this property</a>

const HTTPTimeseriesParamsOSAndroid HTTPTimeseriesParamsOS = "ANDROID"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20os%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%203">Link to this property</a>

const HTTPTimeseriesParamsOSChromeos HTTPTimeseriesParamsOS = "CHROMEOS"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20os%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%204">Link to this property</a>

const HTTPTimeseriesParamsOSLinux HTTPTimeseriesParamsOS = "LINUX"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20os%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%205">Link to this property</a>

const HTTPTimeseriesParamsOSSmartTv HTTPTimeseriesParamsOS = "SMART\_TV"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20os%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%206">Link to this property</a>

</details>

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20os">Link to this property</a>

<details>

<summary>

TLSVersion param.Field\[\[]HTTPTimeseriesParamsTLSVersion]Optional

Filters results by TLS version.

</summary>

const HTTPTimeseriesParamsTLSVersionTlSv1\_0 HTTPTimeseriesParamsTLSVersion = "TLSv1\_0"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20tlsVersion%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%200">Link to this property</a>

const HTTPTimeseriesParamsTLSVersionTlSv1\_1 HTTPTimeseriesParamsTLSVersion = "TLSv1\_1"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20tlsVersion%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%201">Link to this property</a>

const HTTPTimeseriesParamsTLSVersionTlSv1\_2 HTTPTimeseriesParamsTLSVersion = "TLSv1\_2"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20tlsVersion%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%202">Link to this property</a>

const HTTPTimeseriesParamsTLSVersionTlSv1\_3 HTTPTimeseriesParamsTLSVersion = "TLSv1\_3"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20tlsVersion%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%203">Link to this property</a>

const HTTPTimeseriesParamsTLSVersionTlSvQuic HTTPTimeseriesParamsTLSVersion = "TLSvQUIC"

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20tlsVersion%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default%20%3E%20(param)%20tlsVersion">Link to this property</a>

</details>

[Link to this property](<#(resource)%20radar.http%20%3E%20(method)%20timeseries%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type HTTPTimeseriesResponse struct{…}

</summary>

<details>

<summary>

Meta HTTPTimeseriesResponseMeta

Metadata for the results.

</summary>

<details>

<summary>

AggInterval HTTPTimeseriesResponseMetaAggInterval

Aggregation interval of the results (e.g., in 15 minutes or 1 hour intervals). Refer to <a href="https://developers.cloudflare.com/radar/concepts/aggregation-intervals/">Aggregation intervals</a>.

</summary>

One of the following:

const HTTPTimeseriesResponseMetaAggIntervalFifteenMinutes HTTPTimeseriesResponseMetaAggInterval = "FIFTEEN\_MINUTES"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20aggInterval%20%3E%20(member)%200">Link to this property</a>

const HTTPTimeseriesResponseMetaAggIntervalOneHour HTTPTimeseriesResponseMetaAggInterval = "ONE\_HOUR"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20aggInterval%20%3E%20(member)%201">Link to this property</a>

const HTTPTimeseriesResponseMetaAggIntervalOneDay HTTPTimeseriesResponseMetaAggInterval = "ONE\_DAY"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20aggInterval%20%3E%20(member)%202">Link to this property</a>

const HTTPTimeseriesResponseMetaAggIntervalOneWeek HTTPTimeseriesResponseMetaAggInterval = "ONE\_WEEK"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20aggInterval%20%3E%20(member)%203">Link to this property</a>

const HTTPTimeseriesResponseMetaAggIntervalOneMonth HTTPTimeseriesResponseMetaAggInterval = "ONE\_MONTH"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20aggInterval%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20aggInterval">Link to this property</a>

<details>

<summary>

ConfidenceInfo HTTPTimeseriesResponseMetaConfidenceInfo

</summary>

<details>

<summary>

Annotations \[]HTTPTimeseriesResponseMetaConfidenceInfoAnnotation

</summary>

<details>

<summary>

DataSource HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource

Data source for annotations.

</summary>

One of the following:

const HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceAll HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "ALL"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%200">Link to this property</a>

const HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceAIBots HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "AI\_BOTS"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%201">Link to this property</a>

const HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceAIGateway HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "AI\_GATEWAY"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%202">Link to this property</a>

const HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceBGP HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "BGP"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%203">Link to this property</a>

const HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceBots HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "BOTS"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%204">Link to this property</a>

const HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceConnectionAnomaly HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "CONNECTION\_ANOMALY"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%205">Link to this property</a>

const HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceCT HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "CT"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%206">Link to this property</a>

const HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceDNS HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "DNS"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%207">Link to this property</a>

const HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceDNSMagnitude HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "DNS\_MAGNITUDE"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%208">Link to this property</a>

const HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceDNSAS112 HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "DNS\_AS112"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%209">Link to this property</a>

const HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceDos HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "DOS"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2010">Link to this property</a>

const HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceEmailRouting HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "EMAIL\_ROUTING"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2011">Link to this property</a>

const HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceEmailSecurity HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "EMAIL\_SECURITY"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2012">Link to this property</a>

const HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceFw HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "FW"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2013">Link to this property</a>

const HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceFwPg HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "FW\_PG"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2014">Link to this property</a>

const HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceHTTP HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "HTTP"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2015">Link to this property</a>

const HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceHTTPControl HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "HTTP\_CONTROL"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2016">Link to this property</a>

const HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceHTTPCrawlerReferer HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "HTTP\_CRAWLER\_REFERER"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2017">Link to this property</a>

const HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceHTTPOrigins HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "HTTP\_ORIGINS"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2018">Link to this property</a>

const HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceIQI HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "IQI"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2019">Link to this property</a>

const HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceLeakedCredentials HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "LEAKED\_CREDENTIALS"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2020">Link to this property</a>

const HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceNet HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "NET"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2021">Link to this property</a>

const HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceRobotsTXT HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "ROBOTS\_TXT"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2022">Link to this property</a>

const HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceSpeed HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "SPEED"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2023">Link to this property</a>

const HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceWorkersAI HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsDataSource = "WORKERS\_AI"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2024">Link to this property</a>

</details>

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource">Link to this property</a>

Description string

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20description">Link to this property</a>

EndDate Time

formatdate-time

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20endDate">Link to this property</a>

<details>

<summary>

EventType HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsEventType

Event type for annotations.

</summary>

One of the following:

const HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsEventTypeGeneral HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsEventType = "GENERAL"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20eventType%20%3E%20(member)%200">Link to this property</a>

const HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsEventTypeOutage HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsEventType = "OUTAGE"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20eventType%20%3E%20(member)%201">Link to this property</a>

const HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsEventTypePartialProjection HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsEventType = "PARTIAL\_PROJECTION"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20eventType%20%3E%20(member)%202">Link to this property</a>

const HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsEventTypePipeline HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsEventType = "PIPELINE"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20eventType%20%3E%20(member)%203">Link to this property</a>

const HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsEventTypeTrafficAnomaly HTTPTimeseriesResponseMetaConfidenceInfoAnnotationsEventType = "TRAFFIC\_ANOMALY"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20eventType%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20eventType">Link to this property</a>

IsInstantaneous bool

Whether event is a single point in time or a time range.

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20isInstantaneous">Link to this property</a>

LinkedURL string

formaturi

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20linkedUrl">Link to this property</a>

StartDate Time

formatdate-time

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20startDate">Link to this property</a>

Tags \[]stringOptional

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20tags">Link to this property</a>

</details>

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations">Link to this property</a>

Level int64

Provides an indication of how much confidence Cloudflare has in the data.

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20level">Link to this property</a>

</details>

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo">Link to this property</a>

<details>

<summary>

DateRange \[]HTTPTimeseriesResponseMetaDateRange

</summary>

EndTime Time

Adjusted end of date range.

formatdate-time

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20dateRange%20%3E%20(items)%20%3E%20(property)%20endTime">Link to this property</a>

StartTime Time

Adjusted start of date range.

formatdate-time

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20dateRange%20%3E%20(items)%20%3E%20(property)%20startTime">Link to this property</a>

</details>

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20dateRange">Link to this property</a>

LastUpdated Time

Timestamp of the last dataset update.

formatdate-time

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20lastUpdated">Link to this property</a>

<details>

<summary>

Normalization HTTPTimeseriesResponseMetaNormalization

Normalization method applied to the results. Refer to <a href="https://developers.cloudflare.com/radar/concepts/normalization/">Normalization methods</a>.

</summary>

One of the following:

const HTTPTimeseriesResponseMetaNormalizationPercentage HTTPTimeseriesResponseMetaNormalization = "PERCENTAGE"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20normalization%20%3E%20(member)%200">Link to this property</a>

const HTTPTimeseriesResponseMetaNormalizationMin0Max HTTPTimeseriesResponseMetaNormalization = "MIN0\_MAX"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20normalization%20%3E%20(member)%201">Link to this property</a>

const HTTPTimeseriesResponseMetaNormalizationMinMax HTTPTimeseriesResponseMetaNormalization = "MIN\_MAX"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20normalization%20%3E%20(member)%202">Link to this property</a>

const HTTPTimeseriesResponseMetaNormalizationRawValues HTTPTimeseriesResponseMetaNormalization = "RAW\_VALUES"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20normalization%20%3E%20(member)%203">Link to this property</a>

const HTTPTimeseriesResponseMetaNormalizationPercentageChange HTTPTimeseriesResponseMetaNormalization = "PERCENTAGE\_CHANGE"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20normalization%20%3E%20(member)%204">Link to this property</a>

const HTTPTimeseriesResponseMetaNormalizationRollingAverage HTTPTimeseriesResponseMetaNormalization = "ROLLING\_AVERAGE"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20normalization%20%3E%20(member)%205">Link to this property</a>

const HTTPTimeseriesResponseMetaNormalizationOverlappedPercentage HTTPTimeseriesResponseMetaNormalization = "OVERLAPPED\_PERCENTAGE"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20normalization%20%3E%20(member)%206">Link to this property</a>

const HTTPTimeseriesResponseMetaNormalizationRatio HTTPTimeseriesResponseMetaNormalization = "RATIO"

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20normalization%20%3E%20(member)%207">Link to this property</a>

</details>

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20normalization">Link to this property</a>

<details>

<summary>

Units \[]HTTPTimeseriesResponseMetaUnit

Measurement units for the results.

</summary>

Name string

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20units%20%3E%20(items)%20%3E%20(property)%20name">Link to this property</a>

Value string

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20units%20%3E%20(items)%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20units">Link to this property</a>

</details>

<a href="#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)%20%3E%20(property)%20meta">Link to this property</a>

</details>

[Link to this property](<#(resource)%20radar.http%20%3E%20(model)%20HTTPTimeseriesResponse%20%3E%20(schema)>)

### Get HTTP requests time series

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/radar"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.Radar.HTTP.Timeseries(context.TODO(), radar.HTTPTimeseriesParams{

  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Meta)
}
```

200 example

```
{
  "result": {
    "meta": {
      "aggInterval": "FIFTEEN_MINUTES",
      "confidenceInfo": {
        "annotations": [
          {
            "dataSource": "ALL",
            "description": "Cable cut in Tonga",
            "endDate": "2019-12-27T18:11:19.117Z",
            "eventType": "GENERAL",
            "isInstantaneous": true,
            "linkedUrl": "https://example.com",
            "startDate": "2019-12-27T18:11:19.117Z",
            "tags": [
              "BOT_CLASS"
            ]
          }
        ],
        "level": 0
      },
      "dateRange": [
        {
          "endTime": "2022-09-17T10:22:57.555Z",
          "startTime": "2022-09-16T10:22:57.555Z"
        }
      ],
      "lastUpdated": "2019-12-27T18:11:19.117Z",
      "normalization": "PERCENTAGE",
      "units": [
        {
          "name": "*",
          "value": "requests"
        }
      ]
    }
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "result": {
    "meta": {
      "aggInterval": "FIFTEEN_MINUTES",
      "confidenceInfo": {
        "annotations": [
          {
            "dataSource": "ALL",
            "description": "Cable cut in Tonga",
            "endDate": "2019-12-27T18:11:19.117Z",
            "eventType": "GENERAL",
            "isInstantaneous": true,
            "linkedUrl": "https://example.com",
            "startDate": "2019-12-27T18:11:19.117Z",
            "tags": [
              "BOT_CLASS"
            ]
          }
        ],
        "level": 0
      },
      "dateRange": [
        {
          "endTime": "2022-09-17T10:22:57.555Z",
          "startTime": "2022-09-16T10:22:57.555Z"
        }
      ],
      "lastUpdated": "2019-12-27T18:11:19.117Z",
      "normalization": "PERCENTAGE",
      "units": [
        {
          "name": "*",
          "value": "requests"
        }
      ]
    }
  },
  "success": true
}
```